<?
/*
Vice Stats - Web site statistics gathering suite.
Copyright (C) 2005 Anthony Lieuallen

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
include('vs_config.php');
include('vs_funcs.php');

$vs_s=vs_getmicrotime();
if (in_array($_SERVER['REMOTE_ADDR'], $vs_ignore)) return;
if (isset($_SERVER['HTTP_REFERER'])) {
	$_SERVER['HTTP_REFERER']=stripslashes($_SERVER['HTTP_REFERER']); //hmmm.....
}

vs_dbConnect();
vs_log('-----------------------------------------------------');
vs_log(date('r'));
if (isset($_SERVER['HTTP_REFERER'])) vs_log("Ref: {$_SERVER['HTTP_REFERER']}");
$vs_browser=vs_getBrowser($_SERVER['HTTP_USER_AGENT']);
$vs_ip=sprintf("%u", ip2long($_SERVER['REMOTE_ADDR']));
if ($vs_browser['spider']) {
	$vs_visitorID='NULL';
	$vs_visitorSession='NULL';
	$vs_referralID=vs_getResourceID('ref'); //eh ...
} else {
	list($vs_visitorID, $vs_visitorSession)=vs_getVisitor();
	if (isset($_SERVER['HTTP_REFERER'])) {
		$vs_referralID=vs_getResourceID('ref');
	} else {
		$vs_referralID='NULL';
	}
}
$vs_resourceID=vs_getResourceID('site');
vs_query("INSERT DELAYED INTO {$vs_dbPrefix}hit SET 
	time=NOW(), visitorID={$vs_visitorID}, 
	visitorSession={$vs_visitorSession}, browserID={$vs_browser['ID']}, 
	referralID={$vs_referralID}, resourceID={$vs_resourceID}");
vs_dbClose();
$vs_e=vs_getmicrotime();
vs_log("I took: ".($vs_e-$vs_s)." seconds.");
?>
